REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single FloorplanLayoutTransition record by its Id.
{ "FloorPlanLayoutId": 123, "FloorPlanLayoutName": "<string>", "FloorPlanLayoutFloorLevel": 123, "FloorPlanLayoutUniqueId": "<string>", "AreaUniqueId": "<string>", "Name": "<string>", "TransitionType": "<string>", "TransitionTo": "<string>", "Angle": 123, "Height": 123, "Length": 123, "Width": 123, "X": 123, "Y": 123, "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
FloorplanLayoutTransition-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/floorplanlayouttransitions/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "FloorPlanLayoutId": 0, "FloorPlanLayoutName": null, "FloorPlanLayoutFloorLevel": null, "FloorPlanLayoutUniqueId": null, "AreaUniqueId": null, "Name": null, "TransitionType": "", "TransitionTo": null, "Angle": 0, "Height": 0, "Length": 0, "Width": 0, "X": 0, "Y": 0, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "FloorplanLayoutTransition Example", "LocalizationDetails": null, "CustomFields": null }